Bug 44617 - The "resize shape to fit text" option causes irreversible problems when resizing groups of shapes in Drawing
Summary: The "resize shape to fit text" option causes irreversible problems when resiz...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: highest major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2012-01-10 01:49 UTC by Panos Stokas
Modified: 2014-05-15 06:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Resizing a flowchart with shapes using the "resize shape to fit text" option (23.19 KB, application/rar)
2012-01-10 01:49 UTC, Panos Stokas
Details
resize flowchart 4.2.x vs 4.3.x (139.06 KB, image/png)
2014-05-13 05:03 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Panos Stokas 2012-01-10 01:49:11 UTC
Created attachment 55375 [details]
Resizing a flowchart with shapes using the "resize shape to fit text" option

1. Create two shapes in drawing with some text inside them
2. Enable the "Resize shape to fit text" option in one or both of the shapes
3. Select both shapes
4. Resize the group
5. Resize the group again
6. Try to undo

The more resizing you'll do, the worse the problem becomes. Flowcharts are a particular problem with this bug. I am attaching 3 documents that display how a flowchart using this option is completely messed up.

The correct behavior for shapes with this option enabled would be to prevent resizing of the shape while allowing resizing of the other elements of the group containing the shape.

As this problem cannot be fixed with the Undo command, it has the potential to lead to serious formatting loss and thus I believe that the severity level is Major.
Comment 1 sasha.libreoffice 2012-05-07 07:08:43 UTC
Thanks for bugreport
Reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit
And undo not works
Changing version to 3.3.4 as most early reproducible
Comment 2 Panos Stokas 2013-04-10 05:40:20 UTC
I have removed the version since this bug affects early OpenOffice versions (2.x at least) as well.
Comment 3 Panos Stokas 2013-04-11 06:53:11 UTC
I'm adding this to the most annoying bugs for the earliest supported version. While Drawing is not the most used function in LibreOffice, a bug causing irreversible damage to a document should be corrected in a stable version.
Comment 4 Panos Stokas 2013-04-11 06:57:45 UTC
Changed to the earliest possible version according to the guidelines
Comment 5 Michael Meeks 2013-04-11 08:31:19 UTC
Not really a conventional data-loss problem, at least the users sees what they have done, on the other hand - really not ideal :-) thanks for filing.
Comment 6 tommy27 2013-08-10 07:08:04 UTC
confirmed in LibO 4.0.4
moving from the mab3.6 list to the mab4.0 list (3.6.x is EOL)
Comment 7 Panos Stokas 2013-09-25 06:09:06 UTC
This bug is fixed in OpenOffice 4.1
Comment 8 tommy27 2013-09-25 07:10:20 UTC
(In reply to comment #7)
> This bug is fixed in OpenOffice 4.1

what do you mean: LibreOffice 4.1.1 or Apache OpenOffice 4.0.1?
Comment 9 sasha.libreoffice 2013-09-25 07:11:50 UTC
Apache OpenOffice 4.0.1
In LibreOffice 4.1.1 still [reproducible]
Comment 10 Panos Stokas 2013-09-25 14:38:22 UTC
The bug is fixed in OpenOffice 4.1 (currently in development). See this: https://issues.apache.org/ooo/show_bug.cgi?id=115391
Comment 11 sasha.libreoffice 2013-09-26 05:18:59 UTC
Status should be NEW
Comment 12 Björn Michaelsen 2014-01-17 09:58:28 UTC
(This is an automated message.)

Setting priority to highest as this is a 4.0 MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 13 stragu 2014-02-12 08:08:56 UTC
Could someone test if this is still an issue in 4.1 and/or 4.2?
Comment 14 sasha.libreoffice 2014-02-12 10:15:46 UTC
reproducible bug in 4.1.3 on Fedora RFR 64bit
However UNDO now works correctly.
Comment 15 stragu 2014-02-14 14:55:43 UTC
Moving to mab4.1 as 4.0 reached end of life. Cheers for testing!
Comment 16 tommy27 2014-05-02 14:18:44 UTC
please give an update on the status of this bug under 4.2.3.3
still reproducible or not?
Comment 17 tommy27 2014-05-13 04:40:20 UTC
reproducible under 4.2.4.2
moving to mab4.2 list since 4.1.x is EOL
Comment 18 tommy27 2014-05-13 05:03:58 UTC
Created attachment 98958 [details]
resize flowchart 4.2.x vs 4.3.x

well good news 

it seems fixed in 4.3.0.0.alpha1+
Build ID: a1dd961c3093f5f7624e4d1f2240e9120fd13f23
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-06_11:47:48

try this attachment https://issues.apache.org/ooo/attachment.cgi?id=72847
and see my screenshot